package domain

type AlibabaHmMarketingItempoolQueryactivityItemPoolActivity struct {
	/*
	   通用限购信息，-1为不限制，默认为不限制     */
	LimitInfo *AlibabaHmMarketingItempoolQueryactivityLimitInfo `json:"limit_info,omitempty" `

	/*
	   商品池活动的梯度列表     */
	RuleStairs *[]AlibabaHmMarketingItempoolQueryactivityRulestairs `json:"rule_stairs,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   报名活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   活动名称     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   活动描述     */
	Description *string `json:"description,omitempty" `

	/*
	   startTime     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   endTime     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   优惠适用场景:APP|POS|POS+APP 分别对应的值为1|2|1,2     */
	Terminals *[]int64 `json:"terminals,omitempty" `

	/*
	   会员维度活动参与人群限制：-1:不限制 1:会员专享 2:非会员专享     */
	MemberLimit *int64 `json:"member_limit,omitempty" `

	/*
	   shopIds     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   merchantCrowdCode     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   txdCrowdCode     */
	TxdCrowdCode *string `json:"txd_crowd_code,omitempty" `
}

func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetLimitInfo(v AlibabaHmMarketingItempoolQueryactivityLimitInfo) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetRuleStairs(v []AlibabaHmMarketingItempoolQueryactivityRulestairs) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.RuleStairs = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetOutActId(v string) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetActivityId(v int64) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetActivityName(v string) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.ActivityName = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetDescription(v string) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.Description = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetStartTime(v int64) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.StartTime = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetEndTime(v int64) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.EndTime = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetTerminals(v []int64) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.Terminals = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetMemberLimit(v int64) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.MemberLimit = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetShopIds(v []string) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetMerchantCrowdCode(v string) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity) SetTxdCrowdCode(v string) *AlibabaHmMarketingItempoolQueryactivityItemPoolActivity {
	s.TxdCrowdCode = &v
	return s
}
